/**
 * @since 1.0.0
 */
import type { IoTDataPlaneClientConfig } from "@aws-sdk/client-iot-data-plane";
import { Context, Effect, Layer } from "effect";
declare const IoTDataPlaneClientInstanceConfig_base: Context.TagClass<IoTDataPlaneClientInstanceConfig, "@effect-aws/client-iot-data-plane/IoTDataPlaneClientInstanceConfig", IoTDataPlaneClientConfig>;
/**
 * @since 1.0.0
 * @category tags
 */
export declare class IoTDataPlaneClientInstanceConfig extends IoTDataPlaneClientInstanceConfig_base {
}
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeDefaultIoTDataPlaneClientInstanceConfig: Effect.Effect<IoTDataPlaneClientConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultIoTDataPlaneClientConfigLayer: Layer.Layer<IoTDataPlaneClientInstanceConfig, never, never>;
export {};
