/**
 * @since 1.0.0
 */
import { IoTDataPlaneClient } from "@aws-sdk/client-iot-data-plane";
import * as Context from "effect/Context";
import * as Effect from "effect/Effect";
import * as Layer from "effect/Layer";
import { IoTDataPlaneClientInstanceConfig } from "./IoTDataPlaneClientInstanceConfig";
declare const IoTDataPlaneClientInstance_base: Context.TagClass<IoTDataPlaneClientInstance, "@effect-aws/client-iot-data-plane/IoTDataPlaneClientInstance", IoTDataPlaneClient>;
/**
 * @since 1.0.0
 * @category tags
 */
export declare class IoTDataPlaneClientInstance extends IoTDataPlaneClientInstance_base {
}
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeIoTDataPlaneClientInstance: Effect.Effect<IoTDataPlaneClient, never, IoTDataPlaneClientInstanceConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const IoTDataPlaneClientInstanceLayer: Layer.Layer<IoTDataPlaneClientInstance, never, IoTDataPlaneClientInstanceConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultIoTDataPlaneClientInstanceLayer: Layer.Layer<IoTDataPlaneClientInstance, never, never>;
export {};
